# Author: Pan Junyong
# Contact: panjy@zopechina.com
# Revision: $Revision: 4203 $
# Date: $Date: 2005-12-13 23:28:42 +0100 (Tue, 13 Dec 2005) $
# Copyright: This module has been placed in the public domain.

# New language mappings are welcome.  Before doing a new translation, please
# read <http://docutils.sf.net/docs/howto/i18n.html>.  Two files must be
# translated for each language: one in docutils/languages, the other in
# docutils/parsers/rst/languages.

"""
Simplified Chinese language mappings for language-dependent features
of Docutils.
"""

__docformat__ = 'reStructuredText'

labels = {
      # fixed: language-dependent
      'author': u'\u4f5c\u8005',
      'authors': u'\u4f5c\u8005\u7fa4',
      'organization': u'\u7ec4\u7ec7',
      'address': u'\u5730\u5740',
      'contact': u'\u8054\u7cfb',
      'version': u'\u7248\u672c',
      'revision': u'\u4fee\u8ba2',
      'status': u'\u72b6\u6001',
      'date': u'\u65e5\u671f',
      'copyright': u'\u7248\u6743',
      'dedication': u'\u732e\u8f9e',
      'abstract': u'\u6458\u8981',
      'attention': u'\u6ce8\u610f',
      'caution': u'\u5c0f\u5fc3',
      'danger': u'\u5371\u9669',
      'error': u'\u9519\u8bef',
      'hint': u'\u63d0\u793a',
      'important': u'\u91cd\u8981',
      'note': u'\u6ce8\u89e3',
      'tip': u'\u6280\u5de7',
      'warning': u'\u8b66\u544a',
      'contents': u'\u76ee\u5f55',
} 
"""Mapping of node class name to label text."""

bibliographic_fields = {
      # language-dependent: fixed
      u'\u4f5c\u8005': 'author',
      u'\u4f5c\u8005\u7fa4': 'authors',
      u'\u7ec4\u7ec7': 'organization',
      u'\u5730\u5740': 'address',
      u'\u8054\u7cfb': 'contact',
      u'\u7248\u672c': 'version',
      u'\u4fee\u8ba2': 'revision',
      u'\u72b6\u6001': 'status',
      u'\u65f6\u95f4': 'date',
      u'\u7248\u6743': 'copyright',
      u'\u732e\u8f9e': 'dedication',
      u'\u6458\u8981': 'abstract'}
"""Simplified Chinese to canonical name mapping for bibliographic fields."""

author_separators = [';', ',',
                     u'\uff1b', # '\uff1b'
                     u'\uff0c', # '\uff0c'
                     u'\u3001', # '\u3001'
                    ]
"""List of separator strings for the 'Authors' bibliographic field. Tried in
order."""
