# Author: Joe YS Jaw
# Contact: joeysj@users.sourceforge.net
# Revision: $Revision: 3968 $
# Date: $Date: 2005-10-29 14:28:44 +0200 (Sat, 29 Oct 2005) $
# Copyright: This module has been placed in the public domain.

# New language mappings are welcome.  Before doing a new translation, please
# read <http://docutils.sf.net/docs/howto/i18n.html>.  Two files must be
# translated for each language: one in docutils/languages, the other in
# docutils/parsers/rst/languages.

"""
Traditional Chinese language mappings for language-dependent features of Docutils.
"""

__docformat__ = 'reStructuredText'

labels = {
      # fixed: language-dependent
      'author': u'\u4f5c\u8005', # '\u4f5c\u8005' <-- Chinese word
      'authors': u'\u4f5c\u8005\u7fa4', # '\u4f5c\u8005\u7fa4',
      'organization': u'\u7d44\u7e54', # '\u7d44\u7e54',
      'address': u'\u5730\u5740', # '\u5730\u5740',
      'contact': u'\u9023\u7d61', # '\u9023\u7d61',
      'version': u'\u7248\u672c', # '\u7248\u672c',
      'revision': u'\u4fee\u8a02', # '\u4fee\u8a02',
      'status': u'\u72c0\u614b', # '\u72c0\u614b',
      'date': u'\u65e5\u671f', # '\u65e5\u671f',
      'copyright': u'\u7248\u6b0a', # '\u7248\u6b0a',
      'dedication': u'\u984c\u737b', # '\u984c\u737b',
      'abstract': u'\u6458\u8981', # '\u6458\u8981',
      'attention': u'\u6ce8\u610f\uff01', # '\u6ce8\u610f\uff01',
      'caution': u'\u5c0f\u5fc3\uff01', # '\u5c0f\u5fc3\uff01',
      'danger': u'\uff01\u5371\u96aa\uff01', # '\uff01\u5371\u96aa\uff01',
      'error': u'\u932f\u8aa4', # '\u932f\u8aa4',
      'hint': u'\u63d0\u793a', # '\u63d0\u793a',
      'important': u'\u91cd\u8981', # '\u6ce8\u610f\uff01',
      'note': u'\u8a3b\u91cb', # '\u8a3b\u91cb',
      'tip': u'\u79d8\u8a23', # '\u79d8\u8a23',
      'warning': u'\u8b66\u544a', # '\u8b66\u544a',
      'contents': u'\u76ee\u9304' # '\u76ee\u9304'
} 
"""Mapping of node class name to label text."""

bibliographic_fields = {
      # language-dependent: fixed
      'author (translation required)': 'author',
      'authors (translation required)': 'authors',
      'organization (translation required)': 'organization',
      'address (translation required)': 'address',
      'contact (translation required)': 'contact',
      'version (translation required)': 'version',
      'revision (translation required)': 'revision',
      'status (translation required)': 'status',
      'date (translation required)': 'date',
      'copyright (translation required)': 'copyright',
      'dedication (translation required)': 'dedication',
      'abstract (translation required)': 'abstract'}
"""Traditional Chinese to canonical name mapping for bibliographic fields."""

author_separators = [';', ',',
                     u'\uff1b', # '\uff1b'
                     u'\uff0c', # '\uff0c'
                     u'\u3001', # '\u3001'
                    ]
"""List of separator strings for the 'Authors' bibliographic field. Tried in
order."""
